<?php
if ($pluginwords[1]=="!tv") {
	say("TV :: triggered",1);
	$TvUrl=array(
		"now"=>array("maxage"=>    2*60,"url"=>"http://www.tvmovie.de/rss/tvjetzt.xml"),
		"20h"=>array("maxage"=>12*60*60,"url"=>"http://www.tvmovie.de/rss/tv2015.xml"),
		"22h"=>array("maxage"=>12*60*60,"url"=>"http://www.tvmovie.de/rss/tv2200.xml")
		);
	
	$params=split(" ",$pluginmessage);
	$param=$params[1];
	$movieid=$params[2]+0;
	if (isset($TvUrl[$param]) && $movieid && false) {
		say("TV :: asked for moviedescription",1);
#		  "<a href='text://".colortext(":::::: TV - Guide ::::::")."<br><br><font color=#10F030>$time<br><u>$channel</u><br>$subtitle</font><br><br>$description'>$channel</a>".
	} elseif (isset($TvUrl[$param]) && $movieid==0) {
		$filename=$currentplugin."/$param.txt";
		if ( !file_exists($filename) || time()-filemtime($filename) > $TvUrl[$param]["maxage"] ) {
			say("TV :: updating $filename",1);
			if (!copy($TvUrl[$param]["url"],$filename)) {
				say("TV :: download failed for ".$TvUrl[$param]["url"],1);
				return;
			}
		} else {
			say ("TV :: $filename up to date",1);
		}
		$f1=fopen($filename,"r");
		if ($f1) {
			$b="";
			while ($f1 && !feof($f1)) {
				$b.=fread($f1,65535);
			}
			@fclose($f1);
			if ($b) {
				$xmlval=array();
				$xmlidx=array();
				$xml=xml_parser_create ("UTF-8");
				@xml_parse_into_struct($xml, $b, $xmlval, $xmlidx);
				xml_parser_free($xml);
				if (is_array($xmlval)) {
					$rquote=array("\""=>"","'"=>"","&ndash"=>"-");
					/**** Start of tvmovie.de stringconversion
					***** movie title is stored as "TITLE"
					***** movie title value is stored in "TITLE"\"value"
					***** movie description is stored as "DESCRIPTION"
					***** movie description is stored as "DESCRIPTION"\"value"
					*****/
					$link=colortext("::::: TV - Guide :::::")."<br><font color=#F0F0F0><br>";
					$i=0; $P=1;
					foreach ($xmlidx["TITLE"] as $titlekey=>$valuekey) {		
						$i++;
						$title=$xmlval[$valuekey]["value"];
						if ($xmlval[$valuekey+4]["tag"]=="DESCRIPTION")
							$description=$xmlval[$valuekey+4]["value"];
						else
							$description="";
						#
						if ($i>=30) {
							$msg=makelink("Page $P",strtr($link."</font>",$rquote));
							send_reply(colortext(":: TV - Guide ::")." ".$msg);
							$link=colortext("::::: TV - Guide :::::")."<br><font color=#F0F0F0><br>";
							$i=0; $P++;
						}
						if (strlen($title)>5 && substr($title,2,1)==":" && substr($title,5,1)==" ") {
							$time=substr($title,0,5);
							$clip=utf8_decode(substr($title,6));
							if (strlen($clip)>16) $subtitle=substr($clip,0,14)."..";
							$link.=
							  "<font color=#10F010>[$time]</font> $clip\n";
						}
					}
					if ($i>0) {
						$msg=makelink("Page $P",strtr($link."</font>",$rquote));
						send_reply( colortext(":: TV - Guide ::")." ".$msg );
					}
					say("TV :: done parsing xml $filename",1);
					/*End of tvmovie.de stringconversion*/
				} else {
					say("TV :: cannot parse xml in $filename",1);
				}
			} else {
				say("TV :: Error reading $filename",1);
			}
		} else {
			say("TV :: Can't open $filename for reading",1);
		}
	} else {
		say("TV :: Bad param, printing index",1);
		global $myname;
		$link=
			colortext("::::: TV - Guide :::::")."\n\n\n\n".
			"<font color=#F0F0F0>There are ".count($TvUrl)." options:</font>\n\n";
		$chatcmd=($type==30) ? "/tell $myname" : "/gu";
		foreach ($TvUrl as $key=>$val) {
			$link.=
				"  !tv $key ".
				"<a href='chatcmd://$chatcmd !tv $key'>(click)</a>".
				"\n\n"
				;
		}
		$msg=makelink("Help",$link);
		send_reply( colortext(":: TV - Guide ::")." ".$msg );
	}
}
?>